    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2007, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ----------------------------
    028     * IntervalCategoryDataset.java
    029     * ----------------------------
    030     * (C) Copyright 2002-2007, by Eduard Martinescu and Contributors.
    031     *
    032     * Original Author:  Eduard Martinescu;
    033     * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034     *
    035     * Changes
    036     * -------
    037     * 19-Mar-2002 : Version 1 contributed by Eduard Martinescu.  The interface
    038     *               name and method names have been renamed to be consistent with
    039     *               existing interfaces (DG);
    040     * 06-Jun-2002 : Updated Javadoc comments (DG);
    041     * 24-Oct-2002 : Categories and series are now indexed by int or Comparable,
    042     *               following changes made to the CategoryDataset interface (DG);
    043     *
    044     */
    045
    046    package org.jfree.data.category;
    047
    048
    049    /**
    050     * A category dataset that defines a value range for each series/category
    051     * combination.
    052     */
    053    public interface IntervalCategoryDataset extends CategoryDataset {
    054
    055        /**
    056         * Returns the start value for the interval for a given series and category.
    057         *
    058         * @param series  the series (zero-based index).
    059         * @param category  the category (zero-based index).
    060         *
    061         * @return The start value (possibly <code>null</code>).
    062         */
    063        public Number getStartValue(int series, int category);
    064
    065        /**
    066         * Returns the start value for the interval for a given series and category.
    067         *
    068         * @param series  the series key.
    069         * @param category  the category key.
    070         *
    071         * @return The start value (possibly <code>null</code>).
    072         */
    073        public Number getStartValue(Comparable series, Comparable category);
    074
    075        /**
    076         * Returns the end value for the interval for a given series and category.
    077         *
    078         * @param series  the series (zero-based index).
    079         * @param category  the category (zero-based index).
    080         *
    081         * @return The end value (possibly <code>null</code>).
    082         */
    083        public Number getEndValue(int series, int category);
    084
    085        /**
    086         * Returns the end value for the interval for a given series and category.
    087         *
    088         * @param series  the series key.
    089         * @param category  the category key.
    090         *
    091         * @return The end value (possibly <code>null</code>).
    092         */
    093        public Number getEndValue(Comparable series, Comparable category);
    094
    095    }